Bug 55983 - ps is hung, forever
ps is hung, forever
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-09 16:19 EST by Frank Hirtz
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-19 11:47:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Frank Hirtz 2001-11-09 16:19:34 EST
Description of Problem:

ps was stuck on a specific process.

$ cd /proc/14985
$ cat cmdline (or status or stat or
 maps)
 
   -hangs!!!!!!!!

$ strace cat maps
  
  ......
   
open("maps", O_RDONLY|O_LARGEFILE)      = 3
fstat64(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
brk(0x8051000)                          = 0x8051000
read(3, 

when it hangs (we can\'t reproduce it) doing a cat on the /proc/$pid/*
files (I only checked stat and statm) will never return.



Version-Release number of selected component (if applicable):
2.4.9-6 kernel

How Reproducible:


Steps to Reproduce:
1.cd /proc/14985 
2. cat cmdline
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Bill Nottingham 2003-02-19 11:47:48 EST
Please try more recent errata kernels.

Note You need to log in before you can comment on or make changes to this bug.